## python-gammu 0.22

=== mingw-cross/Makefile ===
# Python version
PYVER=25

# Paths to various needed libraries/tools
PYDIR=/home/michal/.wine/drive_c/Python$(PYVER)/
GAMMUDIR=/home/michal/work/gammu/gammu/build-mingw/
MINGWDIR=/usr/lib/gcc/i586-mingw32msvc/3.4.5/
GETTEXTDIR=/home/michal/work/win-cross/gettext/

# Program names
CC=i586-mingw32msvc-gcc
LD=i586-mingw32msvc-ld
NM=i586-mingw32msvc-nm
DLLWRAP=i586-mingw32msvc-dllwrap
DLLTOOL=i586-mingw32msvc-dlltool

INCLUDES=-I$(PYDIR)/include -I./ -I../ -I$(GAMMUDIR)/include
MINGWLD=-L$(MINGWDIR) -L$(MINGWDIR)/../../../../i586-mingw32msvc/lib
LDFLAGS=$(MINGWLD) -L$(PYDIR)/libs -L$(GAMMUDIR)/common -L$(GETTEXTDIR)/lib -lGammu -lws2_32 -lsetupapi -ladvapi32 -lintl -lmsvcrt -lkernel32 -lshell32 -lmoldname -lmingwex  -lmingw32 -lgcc -lmoldname -lmingwex -lmsvcrt -luser32 -lkernel32 -ladvapi32 -lshell32 -lmingw32  -lmoldname -lmingwex
LIBS=-lpython$(PYVER)
CFLAGS=-fno-strict-aliasing -DNDEBUG -g -O3 -Wall -Wstrict-prototypes $(INCLUDES)
LIB2DEF=./lib2def.py

LIBPY_DEF=$(PYDIR)/libs/libpython$(PYVER).def
LIBPY_A=$(PYDIR)/libs/libpython$(PYVER).a

MODULE=Core
INPUT=\
        errors.o \
        misc.o \
        convertors/misc.o \
        convertors/string.o \
        convertors/time.o \
        convertors/base.o \
        convertors/sms.o \
        convertors/memory.o \
        convertors/todo.o \
        convertors/calendar.o \
        convertors/bitmap.o \
        convertors/ringtone.o \
        convertors/backup.o \
        convertors/file.o \
        convertors/call.o \
        convertors/wap.o \
        gammu.o
#OUTPUT=$(PYDIR)/Lib/site-packages/$(MODULE).pyd
OUTPUT=$(MODULE).pyd
MODULE_DEF=$(MODULE).def

all: $(OUTPUT)

$(LIBPY_DEF): $(PYDIR)/libs/python$(PYVER).lib
	NM=$(NM) PYVER=$(PYVER) $(LIB2DEF) $^ $@

$(LIBPY_A): $(LIBPY_DEF)
	$(DLLTOOL) --dllname python$(PYVER).dll --def $^ --output-lib $@

$(OUTPUT): $(INPUT) $(LIBPY_A) $(MODULE_DEF) libmsvcrt.a
	@#$(DLLWRAP) -L --dllname $(MODULE).pyd --driver-name $(CC) --def $(MODULE_DEF) -o $@ $(INPUT) -s --entry _DllMain@12 --target=i586-mingw32 $(LDFLAGS) $(LIBS)
	$(LD) --dll   -o $@ $(MODULE_DEF) $(INPUT) -s --entry _DllMain@12 $(LDFLAGS) $(LIBS)

libmsvcrt.a: /usr/i586-mingw32msvc/lib/libmsvcr71.a
	cp /usr/i586-mingw32msvc/lib/libmsvcr71.a libmsvcrt.a

convertors/%.o: ../convertors/%.c pyg-config.h convertors
	$(CC) $(CFLAGS) -c $< -o $@

%.o: ../%.c pyg-config.h
	$(CC) $(CFLAGS) -c $< -o $@

convertors:
	mkdir convertors

pyg-config.h: ../setup.py
	../setup.py --dump-config > pyg-config.h

clean:
	rm -rf convertors
	rm -f pyg-config.h
	rm -f $(INPUT)
	rm -f $(OUTPUT)

## python-gammu 0.24

=== Makefile ===
all: setup.py
	python setup.py build

clean: setup.py
	python setup.py clean

install: setup.py
	python setup.py install

dist: setup.py
	python setup.py sdist --formats=gztar,bztar,zip

.PHONY: all clean install dist

## python-gammu 2.5

=== debian/changelog ===
python-gammu (2.5-1) unstable; urgency=medium

  * New upstream release.
    - Compatible with current Gammu (Closes: #811492).
  * Add forgotten Vcs-* headers to debian/control.

 -- Michal Čihař <nijel@debian.org>  Tue, 19 Jan 2016 15:37:46 +0100

python-gammu (2.4-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBFS on s390x and ppc64.
    - Patch merged upstream.

 -- Michal Čihař <nijel@debian.org>  Wed, 02 Sep 2015 10:24:23 +0200

python-gammu (2.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michal Čihař <nijel@debian.org>  Tue, 01 Sep 2015 18:30:45 +0200

python-gammu (2.3-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright to match upstream licensing.

 -- Michal Čihař <nijel@debian.org>  Wed, 03 Jun 2015 15:37:07 +0200

python-gammu (2.1-1) experimental; urgency=medium

  * New upstream release.
  * Enable build time testsuite.
  * Install upstream changelog.

 -- Michal Čihař <nijel@debian.org>  Wed, 15 Apr 2015 10:12:26 +0200

python-gammu (2.0-1) experimental; urgency=low

  * New source package split from Gammu by upstream.
  * Supports python 3 now.

 -- Michal Čihař <nijel@debian.org>  Tue, 14 Apr 2015 10:36:55 +0200

=== debian/control ===
Source: python-gammu
Maintainer: Michal Čihař <nijel@debian.org>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python3-setuptools, python-all-dev (>= 2.6.6-3), python3-all-dev, debhelper (>= 9), libgammu-dev (>= 1.35.0), pkg-config, libdbd-sqlite3
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/python-gammu.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-gammu.git
Homepage: http://wammu.eu/python-gammu/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-gammu
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python module to communicate with mobile phones (Python 2)
 This provides gammu module, that can work with any phone Gammu
 supports - many Nokias, Siemens, Alcatel, ...
 .
 This package installs the library for Python 2.

Package: python3-gammu
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python module to communicate with mobile phones (Python 3)
 This provides gammu module, that can work with any phone Gammu
 supports - many Nokias, Siemens, Alcatel, ...
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.2 at
# Tue, 14 Apr 2015 09:14:40 +0200
export PYBUILD_NAME=gammu
%:
	dh $@ --fail-missing --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs NEWS.rst

## python-gammu 2.6

=== debian/changelog ===
python-gammu (2.6-1) unstable; urgency=medium

  * New upstream release.
  * Add dh-python to Build-Depends.
  * Bump standards to 3.9.8.
  * Build depend on Gammu 1.37.3 to avoid possible crashes in testsuite.

 -- Michal Čihař <nijel@debian.org>  Thu, 26 May 2016 09:10:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,16 @@
 Maintainer: Michal Čihař <nijel@debian.org>
 Section: python
 Priority: optional
-Build-Depends: python-setuptools (>= 0.6b3), python3-setuptools, python-all-dev (>= 2.6.6-3), python3-all-dev, debhelper (>= 9), libgammu-dev (>= 1.35.0), pkg-config, libdbd-sqlite3
-Standards-Version: 3.9.6
+Build-Depends: python-setuptools (>= 0.6b3),
+    python3-setuptools,
+    python-all-dev (>= 2.6.6-3),
+    python3-all-dev,
+    debhelper (>= 9),
+    libgammu-dev (>= 1.37.3),
+    pkg-config,
+    libdbd-sqlite3,
+    dh-python
+Standards-Version: 3.9.8
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/python-gammu.git
 Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-gammu.git
 Homepage: http://wammu.eu/python-gammu/

## python-gammu 2.7

=== debian/changelog ===
python-gammu (2.7-1) unstable; urgency=medium

  * New upstream release.
  * Depends on Gammu 1.37.90 or newer.

 -- Michal Čihař <nijel@debian.org>  Sun, 23 Oct 2016 15:13:02 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
     python-all-dev (>= 2.6.6-3),
     python3-all-dev,
     debhelper (>= 9),
-    libgammu-dev (>= 1.37.3),
+    libgammu-dev (>= 1.37.90),
     pkg-config,
     libdbd-sqlite3,
     dh-python

## python-gammu 2.9

=== debian/changelog ===
python-gammu (2.9-1build1) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Aug 2017 18:52:47 +1200

python-gammu (2.9-1) unstable; urgency=medium

  * New upstream release.
  * Switch Vcs-Git URL to https.
  * Bump standards to 4.0.0.

 -- Michal Čihař <nijel@debian.org>  Mon, 10 Jul 2017 20:17:45 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
     pkg-config,
     libdbd-sqlite3,
     dh-python
-Standards-Version: 3.9.8
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/python-gammu.git
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-gammu.git
+Standards-Version: 4.0.0
+Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-gammu.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-gammu.git
 Homepage: http://wammu.eu/python-gammu/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

## python-gammu 2.11

=== debian/changelog ===
python-gammu (2.11-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards to 4.1.3.

 -- Michal Čihař <nijel@debian.org>  Fri, 05 Jan 2018 15:14:35 +0100

python-gammu (2.10-1) unstable; urgency=medium

  * New upstream release.
    - Fixes build with current Gammu (Closes: #880259).
  * Bump standards to 4.1.1.

 -- Michal Čihař <nijel@debian.org>  Tue, 07 Nov 2017 09:10:12 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
     pkg-config,
     libdbd-sqlite3,
     dh-python
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-gammu.git
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-gammu.git
 Homepage: http://wammu.eu/python-gammu/

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,8 @@
 %:
 	dh $@ --fail-missing --with python2,python3 --buildsystem=pybuild
 
+override_dh_auto_test:
+	export LC_ALL=C.UTF-8 && dh_auto_test
+
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.rst

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/python-gammu/python-gammu-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-gammu 2.12

=== debian/changelog ===
python-gammu (2.12-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Michal Čihař ]
  * Add Python Modules Packaging Team as uploader.
  * Drop Python 2 package, the only reverse dependency was removed
    (Closes: #937776).

 -- Michal Čihař <nijel@debian.org>  Mon, 24 Feb 2020 08:11:25 +0100

python-gammu (2.12-1) unstable; urgency=medium

  [ Michal Čihař ]
  * New upstream release.
  * Bump standards to 4.3.0.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

 -- Michal Čihař <nijel@debian.org>  Sat, 23 Feb 2019 10:15:42 +0100

=== debian/control ===
Source: python-gammu
Maintainer: Michal Čihař <nijel@debian.org>
Uploaders: Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
Section: python
Priority: optional
Build-Depends: python3-setuptools,
               python3-all-dev,
               debhelper-compat (= 9),
               libgammu-dev (>= 1.37.90),
               pkg-config,
               libdbd-sqlite3,
               dh-python
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-gammu
Vcs-Git: https://salsa.debian.org/python-team/modules/python-gammu.git
Homepage: http://wammu.eu/python-gammu/

Package: python3-gammu
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python module to communicate with mobile phones (Python 3)
 This provides gammu module, that can work with any phone Gammu
 supports - many Nokias, Siemens, Alcatel, ...

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Tue, 14 Apr 2015 09:14:40 +0200
 export PYBUILD_NAME=gammu
 %:
-	dh $@ --fail-missing --with python2,python3 --buildsystem=pybuild
+	dh $@ --fail-missing --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
 	export LC_ALL=C.UTF-8 && dh_auto_test

## python-gammu 3.2.4

=== debian/changelog ===
python-gammu (3.2.4-4) unstable; urgency=medium

  * Team upload.
  * Fix d/watch to detect 3.2.5
  * Remove old FSG postal address from d/copyright
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Feb 2026 19:51:43 +0100

python-gammu (3.2.4-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Drop retired package uploader.
  * debian/control: Bump Standards-Version to 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 06 Nov 2024 17:37:28 -0500

python-gammu (3.2.4-2) unstable; urgency=medium

  * Team upload.
  * Set DPT as Maintainer per new Team Policy
  * Replace old pkg-config with pkgconf
  * Use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Thu, 22 Aug 2024 18:31:01 +0200

python-gammu (3.2.4-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * New upstream release.
    - Supports Python 3.10. (Closes: #999374)
  * Bump copyright years.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 13.
    + debian/rules: Drop --fail-missing argument, now the default.
  * Update standards version to 4.5.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 19 Nov 2021 12:14:29 -0400

=== debian/control ===
Source: python-gammu
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libdbd-sqlite3,
 libgammu-dev (>= 1.37.90),
 pkgconf,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-setuptools,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-gammu
Vcs-Git: https://salsa.debian.org/python-team/packages/python-gammu.git
Homepage: https://wammu.eu/python-gammu/

Package: python3-gammu
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python module to communicate with mobile phones (Python 3)
 This provides gammu module, that can work with any phone Gammu
 supports - many Nokias, Siemens, Alcatel, ...

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/python-gammu/python_gammu-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
